aboutsummaryrefslogtreecommitdiffstats
path: root/chapter8/python.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter8/python.sh')
-rw-r--r--chapter8/python.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/chapter8/python.sh b/chapter8/python.sh
index f807d53..fd7b1a6 100644
--- a/chapter8/python.sh
+++ b/chapter8/python.sh
@@ -1,3 +1,27 @@
+<<<<<<< HEAD
+#!/bin/bash
+set -e
+
+sed 's|cpython/||' -i Include/cpython/pystate.h &&
+
+./configure --prefix=/usr \
+ --enable-shared \
+ --with-system-expat \
+ --with-system-ffi \
+ --with-ensurepip=yes &&
+
+make &&
+
+make -j1 install &&
+
+install -v -dm755 /usr/share/doc/python-"${VERSION}"/html &&
+
+tar --strip-components=1 \
+ --no-same-owner \
+ --no-same-permissions \
+ -C /usr/share/doc/python-"${VERSION}"/html \
+ -xvf ../python-"${VERSION}"-docs-html.tar.bz2
+=======
#!/bin/bash
set -e
@@ -19,3 +43,4 @@ tar --strip-components=1 \
--no-same-permissions \
-C /usr/share/doc/python-"${VERSION}"/html \
-xvf ../python-"${VERSION}"-docs-html.tar.bz2
+>>>>>>> 6132c19762b7d74ba7ad06e291b6401c632bbc28